/* (C)opyrigth by Mauri Sahlberg 1990,1991,1992
   This file is distributed under following conditions:
   - You may freely copy and distribute this program as long as it
     is distributed in original form.
   - This header may not be modified and must not be removed.
   - No warranty is given. If this program nukes your machine, I plead
     not guilty. Any kind of damage this program does to your software,
     hardware or your person is on your own responsibility.
   - If you wish to include this program or its source as part of
     comercial package you should ask my permission to do so.
   - If you find this program usefull, you should at least send me a postcard.
     Feedback is always welcome. (You may also buy me beer :-)		
*/

/*
Program   : Rolechar-Developer v6.0
File      : chosen.h
Last edit : 7/31/92
Created   :
Version   : 1.2

History   :

Does      : Defines skill-structure
*/
struct chosen {
  char skill[SKILL_LEN];
  int  num;
  int  nro;
  int  costa;
  int  costb;
  int  costc;
  int  stata;
  int  statb;
  int  statc;
  int  ranks;
  int  lvl;
  struct chosen *seur;
  struct chosen *edel;
};

typedef struct chosen CHOSEN;
typedef CHOSEN *OS_CHOSEN;

#ifndef __cplusplus__
OS_CHOSEN add_one_skill(OS_CHOSEN, OS_CHOSEN);
OS_CHOSEN find_one(int, OS_CHOSEN);
OS_CHOSEN remove_one(int, OS_CHOSEN);
OS_CHOSEN load_skill_lst(char *);

int num_of_chosen(int, OS_CHOSEN);
int count_skills(OS_CHOSEN);

void dump_list(OS_CHOSEN);
void save_skill_lst(char *, OS_CHOSEN);
#else
extern "C" {
OS_CHOSEN add_one_skill(OS_CHOSEN, OS_CHOSEN);
OS_CHOSEN find_one(int, OS_CHOSEN);
OS_CHOSEN remove_one(int, OS_CHOSEN);
OS_CHOSEN load_skill_lst(char *);

int num_of_chosen(int, OS_CHOSEN);
int count_skills(OS_CHOSEN);

void dump_list(OS_CHOSEN);
void save_skill_lst(char *, OS_CHOSEN);
};
#endif
